import { RecorderPreset, Recorder, Observers, ElementX } from './models/index';
export default class RecorderClass implements Recorder {
    observers: Observers;
    options: RecorderPreset;
    trail: any[];
    recording: boolean;
    private baseTime;
    private lastSnapshot;
    constructor(options?: RecorderPreset);
    observeScroll: (ele: ElementX) => void;
    private pushToTrail;
    private getSnapshotRecord;
    start: () => void;
    stop: () => void;
    uninstallObservers: () => void;
}
