import { Record } from '.';
export declare enum ConsoleLevels {
    info = "info",
    error = "error",
    log = "log",
    warn = "warn",
    debug = "debug"
}
export declare enum ConsoleTypes {
    console = "console"
}
export declare type ConsoleOptions = {
    info?: boolean;
    warn?: boolean;
    error?: boolean;
    debug?: boolean;
    log?: boolean;
};
export interface ConsoleRecord extends Record {
    type: ConsoleTypes;
    l: ConsoleLevels;
    msg?: any[];
}
