import { Record } from '.';
export declare enum ErrorTypes {
    jserr = "jserr",
    unhandledrejection = "unhandledrejection"
}
export declare type ErrorOptions = {
    jserror: boolean;
    unhandledrejection: boolean;
};
export interface ErrorRecord extends Record {
    type: ErrorTypes;
    msg: string;
    url?: string;
    line?: string;
    err?: any;
    stack?: string;
}
