import { HighOrderObserver, EventOptions, Listener } from '../models/index';
import BasicObserverClass from './index';
export default class EventObserverClass extends BasicObserverClass implements HighOrderObserver {
    name: string;
    listeners: Listener[];
    options: EventOptions;
    status: EventOptions;
    constructor(options: EventOptions | boolean);
    addListener: ({ target, event, callback, options }: Listener, cb?: () => void) => void;
    getScrollPosition: () => {
        x: number;
        y: number;
    };
    getScrollRecord: (evt?: Event) => void;
    getResizeRecord: () => void;
    private getFormChangeRecord;
    install(): void;
    uninstall(): void;
}
