import { ElementX, D7000 } from '../models';
declare class NikonD7000DSLRClass implements D7000 {
    map: Map<HTMLElement | Element | Node | EventTarget, number>;
    latestSnapshot: string;
    inited: boolean;
    private id;
    takeSnapshotForPage(): string;
    private newId;
    mark(ele: ElementX, id: any): void;
    unmark(ele: ElementX, isDeep?: boolean): void;
    private buffer;
    bufferNewElement: (ele: ElementX) => void;
    getRecordIdByElement: (ele: EventTarget | Element | HTMLElement) => number;
}
declare const NikonD7000: NikonD7000DSLRClass;
export default NikonD7000;
