export const ID_KEY = 'recorder-id';
export const OBSERVER_DEFAULT_OPTIONS = {
    mutation: true,
    history: true,
    error: {
        jserror: true,
        unhandledrejection: true
    },
    console: {
        info: true,
        error: true,
        log: false,
        warn: true,
        debug: false
    },
    event: {
        scroll: true,
        resize: true,
        form: true
    },
    http: {
        xhr: true,
        fetch: true,
        beacon: true
    },
    mouse: {
        click: true,
        mousemove: false
    }
};
export const RECORDER_PRESET = {
    ...OBSERVER_DEFAULT_OPTIONS,
    maxTimeSpan: 120000
};
