import { HighOrderObserver, HttpOptions } from '../models/index';
import BasicObserverClass from './index';
export default class HttpObserverClass extends BasicObserverClass implements HighOrderObserver {
    name: string;
    active: boolean;
    options: HttpOptions;
    status: HttpOptions;
    private xhrRecordMap;
    constructor(options: HttpOptions | boolean);
    private isSupportBeacon;
    private hijackBeacon;
    private isSupportFetch;
    private hijackFetch;
    private hijackXHR;
    install(): void;
    uninstall(): void;
}
