import { HighOrderObserver, MouseOptions, Listener } from '../models/index';
import BasicObserverClass from './index';
export default class MouseObserverClass extends BasicObserverClass implements HighOrderObserver {
    name: string;
    listeners: Listener[];
    options: MouseOptions;
    status: MouseOptions;
    constructor(options: MouseOptions | boolean);
    private addListener;
    private getMouseClickRecord;
    private getMouseMoveRecord;
    install(): void;
    uninstall(): void;
}
