export function isFunction(sth) {
    return typeof sth === 'function';
}
export function isErrorEvent(sth) {
    return Object.prototype.toString.call(sth) === '[object ErrorEvent]';
}
export function isError(sth) {
    switch (Object.prototype.toString.call(sth)) {
        case '[object Error]':
            return true;
        case '[object Exception]':
            return true;
        case '[object DOMException]':
            return true;
        default:
            return sth instanceof Error;
    }
}
